XGVis(1)

NAME
xgvis - interactive multidimensional scaling using xgobi for display

SYNOPSIS
xgvis [ -dims n ] [ -stepsize x ] fname

DESCRIPTION
xgvis is an interactive multidimensional scaling (MDS) program that consists of a control panel to manipulate the parameters of the MDS stress function and an xgobi window for data display. It can be used either for visualization of dissimilarity data, for dimension reduction, or for graph layout. Graph layout is usually done in 2D, but xgvis allows layouts in arbitrary dimensions, 3D being the default. It permits missing values, which can be used to implement multidimensional unfolding. It is used as follows:

    o   Start up with a user-supplied or random starting configuration.

    o   Initiate MDS optimization. As the optimization algorithm does its work, observe both the changing stress values and the animated point configuration.

    o   Examine the optimized configuration with 3D rotations and grand tours and drill-down operations such as labeling and linked brushing.

    o   Enhance the configuration with glyphs, colors and lines for interpretation.

    o   Modifiy the dissimilarities, the stress function, and/or the configuration by

    -   transforming the dissimilarities

    -   choosing weights or cutting extreme dissimilarities

    -   restricting MDS to subsets

    -   hand editing the existing configuration or

    -   selecting a new random configuration

OPTIONS
-dims n

    Specify n, the dimensionality of the embedding space. By default, its value is 3.
-stepsize x

    Specify the initial stepsize; its default value is 0.1.

FILES
XGVis uses a set of input files with a common root (which we'll call fname in the man page) and a suffix. First, each set must contain a file with the suffix .edges, .dat or .dist.
fname.dist
    Distance matrix: an n x n matrix, with entries separated by white space and one row per line.
fname.edges
    Line segments: specifications for the pattern of line segments which connect pairs of points. The file must contain at least two numbers per line. The first two numbers represent the row numbers of the two points that should be connected. (This is exactly like the structure of a fname.lines file in xgobi.) In addition, if a third number is present, it is taken to be an edge weight. If this line is present and the distance matrix is absent, then the distance matrix is computed from it, with each edge representing a distance of one.
fname.dat
fname.pos
    Starting positions: an n x p matrix, with entries separated by white space and one row per line. If this file is present and a distance file is absent, the distance matrix is computed from it.
fname.lines
    Line segments: specifications for the pattern of line segments which connect pairs of points. If this file is present, then the edges file is used to create the distance matrix but the lines file is used to draw the edges.
Many additional files can be specified. See the xgobi man page for descriptions of fname.col (variable labels), fname.row (case labels), fname.colors (glyph colors), and fname.linecolors (line colors), in particular.

AUTHORS
Andreas Buja (andreas@research.att.com)
Deborah Swayne (dfs@research.att.com)

CONTACT
Deborah Swayne (dfs@research.att.com)

SEE ALSO
Sample data files are included in the XGVis distribution. For papers and further pointers, check the following web page:
http://www.research.att.com/areas/stat/xgobi/

BUGS
Probably too numerous to mention, but you do the authors a favor if you report the ones you notice.